Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SpeechRecognitionResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SpeechRecognitionResult

Direct Known Subclasses:
  `TdApi.SpeechRecognitionResultError`, `TdApi.SpeechRecognitionResultPending`, `TdApi.SpeechRecognitionResultText`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.SpeechRecognitionResult extends TdApi.Object permits TdApi.SpeechRecognitionResultPending, TdApi.SpeechRecognitionResultText, TdApi.SpeechRecognitionResultError
This class is an abstract base class. Describes result of speech recognition in a voice note.

## Constructor Summary

Constructors
Constructor
Description
`SpeechRecognitionResult()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SpeechRecognitionResult

public SpeechRecognitionResult()
Default class constructor.